> ## Documentation Index
> Fetch the complete documentation index at: https://docs.byzantine.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# List bank accounts

> Fetch all associated bank accounts for a specific Byzantine account ID.



## OpenAPI

````yaml /api-reference/openapi-integrator.json get /v1/query/get-bank-accounts
openapi: 3.0.3
info:
  title: Byzantine Integrator API
  description: Byzantine REST API for integrators.
  license:
    name: ''
  version: 0.2.0
servers:
  - url: https://sandbox.api.byzantine.fi
    description: Sandbox
security: []
tags:
  - name: API health
    description: Check API status.
  - name: Customer management
    description: Endpoints to create, update, and retrieve customer information.
  - name: Account management
    description: Endpoints to manage accounts, bank accounts, invitations, and user roles.
  - name: Products
    description: Endpoints to get data about products and vaults.
  - name: Transactions
    description: Endpoints to create and manage transactions.
  - name: OTP authentication
    description: Endpoints to initialize and manage user authentication with OTP.
  - name: Webhooks
    description: Integrator-managed outbound webhook subscriptions and delivery history.
paths:
  /v1/query/get-bank-accounts:
    get:
      tags:
        - Account management
      summary: List bank accounts
      description: Fetch all associated bank accounts for a specific Byzantine account ID.
      operationId: get_bank_accounts
      parameters:
        - name: X-Pubkey
          in: header
          description: >-
            Integrator's ECDSA public key (P-256 curve, compressed SEC1 format).
            Example:
            0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
          required: true
          schema:
            type: string
        - name: X-Timestamp
          in: header
          description: >-
            Unix timestamp in seconds (UTC). Must be within tolerance window (1
            minute) to prevent replay attacks. Example: 1760375826
          required: true
          schema:
            type: string
        - name: X-Signature
          in: header
          description: >-
            ECDSA signature (DER-encoded, hex with 0x prefix). Signs the
            message: {timestamp}{METHOD}{path_and_query}{json_body}. Example:
            0x3045022100...
          required: true
          schema:
            type: string
        - name: account_id
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Uuid'
        - name: currency
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/Currency'
            nullable: true
      responses:
        '200':
          description: Off-ramp addresses retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBankAccountsResponse'
        '400':
          description: Bad request - Invalid account_id
        '500':
          description: Internal server error
      security:
        - integrator_auth: []
components:
  schemas:
    Uuid:
      type: string
      format: uuid
      description: A UUID string
      example: 550e8400-e29b-41d4-a716-446655440000
    Currency:
      type: string
      enum:
        - usd
        - eur
        - usdc
        - eurc
    GetBankAccountsResponse:
      type: object
      required:
        - bankAccounts
      properties:
        bankAccounts:
          type: array
          items:
            $ref: '#/components/schemas/GetBankAccountItemResponse'
    GetBankAccountItemResponse:
      allOf:
        - $ref: '#/components/schemas/LiquidationAddress'
        - type: object
          required:
            - bankAccountDetails
          properties:
            bankAccountDetails:
              $ref: '#/components/schemas/BankAccount'
    LiquidationAddress:
      type: object
      required:
        - bankAccountId
        - accountId
        - name
        - liquidationAddress
        - createdAt
        - destinationCurrency
        - destinationRail
      properties:
        bankAccountId:
          $ref: '#/components/schemas/Uuid'
        accountId:
          $ref: '#/components/schemas/Uuid'
        name:
          type: string
        liquidationAddress:
          type: string
        createdAt:
          type: string
          format: date-time
        destinationCurrency:
          $ref: '#/components/schemas/Currency'
        destinationRail:
          $ref: '#/components/schemas/PaymentRail'
    BankAccount:
      oneOf:
        - $ref: '#/components/schemas/BridgeGetIbanAccountDetails'
        - $ref: '#/components/schemas/BridgeGetAchAccountDetails'
      description: >-
        Bank account details where the funds will be transferred to (withdrawals
        only).
    PaymentRail:
      type: string
      enum:
        - ach
        - sepa
        - ethereum
        - base
    BridgeGetIbanAccountDetails:
      type: object
      description: IBAN bank account informations
      required:
        - country
        - last4
      properties:
        country:
          type: string
          description: >-
            The ISO 3166-1 (three-character) country code of the relevant
            country. See the full list of
            [countries](https://docs.byzantine.fi/api-reference/lists/countries).
          example: FRA
        last4:
          type: string
          description: Last 4 digits of the bank account number
          example: '0804'
        bic:
          type: string
          description: The Bank Identifier Code (BIC) that will be used to send the funds
          example: BICFR12345
          nullable: true
    BridgeGetAchAccountDetails:
      type: object
      description: ACH bank account informations
      required:
        - routingNumber
        - last4
      properties:
        routingNumber:
          type: string
          description: The bank routing number.
          example: '121000248'
        last4:
          type: string
          description: Last 4 digits of the bank account number.
          example: '1111'
        checkingOrSavings:
          allOf:
            - $ref: '#/components/schemas/CheckingOrSavings'
          nullable: true
    CheckingOrSavings:
      type: string
      enum:
        - checking
        - savings
        - unknown
  securitySchemes:
    integrator_auth:
      type: apiKey
      in: header
      name: X-Pubkey, X-Timestamp, X-Signature

````